############################### WARNING ################################
# THIS PACKAGE HAS BEEN MERGED INTO BIBILETIME MAIN PACKAGE sinc 1.6.5 #
########################################################################

%{expand:%%define buildfor %(A=$(awk '{print $4}' /etc/redhat-release); echo $A)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/redhat-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/redhat-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor10_0 %(A=$(awk '{print $4}' /etc/redhat-release); if [ "$A" = 10 ]; then echo 1; else echo 0; fi)}

%if %buildfor10_0
%define 		unstable 	1
%else
%define 		unstable 	0
%endif

%define         name 		bibletime-i18n
%define         version 	1.6.2
%define		appname		bibletime

# this needs to be changed depending on build number
%define		release 	%mkrel 2

# This the RPM group on your system that this will installed into.
# Graphical desktop/KDE, X11/apps, etc.
%define			rpmgroup 	System/Internationalization


Summary:        Easy to use Bible study tool for KDE
Name:		%{name}
Version:        %{version}
Release:        %{release}
License:      GPL
Url:            http://www.bibletime.info/
Group:          %{rpmgroup}
Source:		http://prdownloads.sourceforge.net/bibletime/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}--root
BuildRequires:	autoconf 
BuildRequires:  automake 
BuildRequires:  freetype2 
BuildRequires:  gettext 
BuildRequires:  kdelibs-devel
BuildRequires:  make 
BuildRequires:  texinfo
BuildRequires:  X11-devel

%description
These are the Localisation files for BibleTime %{version}

%package -n %{name}-af
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-af
Group:          %{rpmgroup}

%description -n %{name}-af
These are the Localisation files for BibleTime %{version}

%package -n %{name}-bg
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-bg
Group:          %{rpmgroup}

%description -n %{name}-bg
These are the Localisation files for BibleTime %{version}

%package -n %{name}-cs
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-cs
Group:          %{rpmgroup}

%description -n %{name}-cs
These are the Localisation files for BibleTime %{version}

%package -n %{name}-de
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-de
Group:          %{rpmgroup}

%description -n %{name}-de
These are the Localisation files for BibleTime %{version}

%package -n %{name}-en_GB
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-en
Group:          %{rpmgroup}

%description -n %{name}-en_GB
These are the Localisation files for BibleTime %{version}

%package -n %{name}-es
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-es
Group:          %{rpmgroup}

%description -n %{name}-es
These are the Localisation files for BibleTime %{version}

%package -n %{name}-fi
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-fi
Group:          %{rpmgroup}

%description -n %{name}-fi
These are the Localisation files for BibleTime %{version}

%package -n %{name}-fr
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-fr
Group:          %{rpmgroup}

%description -n %{name}-fr
These are the Localisation files for BibleTime %{version}

%package -n %{name}-hu
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-hu
Group:          %{rpmgroup}

%description -n %{name}-hu
These are the Localisation files for BibleTime %{version}

%package -n %{name}-it
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-it
Group:          %{rpmgroup}

%description -n %{name}-it
These are the Localisation files for BibleTime %{version}

%package -n %{name}-ko
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-ko
Group:          %{rpmgroup}

%description -n %{name}-ko
These are the Localisation files for BibleTime %{version}

%package -n %{name}-nl
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-nl
Group:          %{rpmgroup}

%description -n %{name}-nl
These are the Localisation files for BibleTime %{version}

%package -n %{name}-no
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-no
Group:          %{rpmgroup}

%description -n %{name}-no
These are the Localisation files for BibleTime %{version}

%package -n %{name}-pl
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-pl
Group:          %{rpmgroup}

%description -n %{name}-pl
These are the Localisation files for BibleTime %{version}

%package -n %{name}-pt_br
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-pt
Group:          %{rpmgroup}

%description -n %{name}-pt_br
These are the Localisation files for BibleTime %{version}

%package -n %{name}-ro
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-ro
Group:          %{rpmgroup}

%description -n %{name}-ro
These are the Localisation files for BibleTime %{version}

%package -n %{name}-ru
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-ru
Group:          %{rpmgroup}

%description -n %{name}-ru
These are the Localisation files for BibleTime %{version}

%package -n %{name}-sk
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-sk
Group:          %{rpmgroup}

%description -n %{name}-sk
These are the Localisation files for BibleTime %{version}

%package -n %{name}-ua
Summary: 	Localisation files for BibleTime %{version}
#Requires:	bibletime locales-ua
Group:          %{rpmgroup}

%description -n %{name}-ua
These are the Localisation files for BibleTime %{version}



%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q -n %{name}-%{version}
#make -f Makefile.cvs

%configure

%make 

%install
%makeinstall_std
# we'd better used %find_lang in the first place...


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
#rm -f $RPM_BUILD_DIR/master.list
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-af
%defattr(-,root,root,-)
%{_datadir}/locale/af/LC_MESSAGES/%{appname}.mo

%files -n %{name}-bg
%defattr(-,root,root,-)
%_docdir/HTML/bg/bibletime
%{_datadir}/locale/bg/LC_MESSAGES/%{appname}.mo

%files -n %{name}-cs
%defattr(-,root,root,-)
%_docdir/HTML/cs/bibletime
%{_datadir}/locale/cs/LC_MESSAGES/%{appname}.mo

%files -n %{name}-de
%defattr(-,root,root,-)
%_docdir/HTML/de/bibletime
%{_datadir}/locale/de/LC_MESSAGES/%{appname}.mo

%files -n %{name}-en_GB
%defattr(-,root,root,-)
%{_datadir}/locale/en_GB/LC_MESSAGES/%{appname}.mo

%files -n %{name}-es
%defattr(-,root,root,-)
%{_datadir}/locale/es/LC_MESSAGES/%{appname}.mo

%files -n %{name}-fi
%defattr(-,root,root,-)
%_docdir/HTML/fi/bibletime
%{_datadir}/locale/fi/LC_MESSAGES/%{appname}.mo

%files -n %{name}-fr
%defattr(-,root,root,-)
%_docdir/HTML/fr/bibletime
%{_datadir}/locale/fr/LC_MESSAGES/%{appname}.mo

%files -n %{name}-hu
%defattr(-,root,root,-)
%{_datadir}/locale/hu/LC_MESSAGES/%{appname}.mo

%files -n %{name}-it
%defattr(-,root,root,-)
%_docdir/HTML/it/bibletime
%{_datadir}/locale/it/LC_MESSAGES/%{appname}.mo

%files -n %{name}-ko
%defattr(-,root,root,-)
%_docdir/HTML/ko/bibletime
%{_datadir}/locale/ko/LC_MESSAGES/%{appname}.mo

%files -n %{name}-nl
%defattr(-,root,root,-)
%_docdir/HTML/nl/bibletime
%{_datadir}/locale/nl/LC_MESSAGES/%{appname}.mo

%files -n %{name}-no
%defattr(-,root,root,-)
%{_datadir}/locale/no/LC_MESSAGES/%{appname}.mo
%{_datadir}/locale/nn_NO/LC_MESSAGES/%{appname}.mo

%files -n %{name}-pl
%defattr(-,root,root,-)
%{_datadir}/locale/pl/LC_MESSAGES/%{appname}.mo

%files -n %{name}-pt_br
%defattr(-,root,root,-)
%_docdir/HTML/pt-br/bibletime
%{_datadir}/locale/pt_br/LC_MESSAGES/%{appname}.mo

%files -n %{name}-ro
%defattr(-,root,root,-)
%{_datadir}/locale/ro/LC_MESSAGES/%{appname}.mo

%files -n %{name}-ru
%defattr(-,root,root,-)
%_docdir/HTML/ru/bibletime
%{_datadir}/locale/ru/LC_MESSAGES/%{appname}.mo

%files -n %{name}-sk
%defattr(-,root,root,-)
%{_datadir}/locale/sk/LC_MESSAGES/%{appname}.mo

%files -n %{name}-ua
%defattr(-,root,root,-)
%{_datadir}/locale/ua/LC_MESSAGES/%{appname}.mo




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.2-2mdv2008.1
+ Revision: 170775
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.6.2-1mdv2008.1
+ Revision: 135829
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot


* Sun Jan 28 2007 Buchan Milne <bgmilne@mandriva.org> 1.6.2-1mdv2007.0
+ Revision: 114535
- New version 1.6.2
- Import bibletime-i18n

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.1-3mdk
- Fix BuildRequires

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.1-2mdk
- Fix BuildRequires

* Thu Sep 15 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1
- cleanups

